=== debian/changelog ===
ros-dashing-point-cloud-fusion (0.0.2-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Apex.AI <opensource@apex.ai>  Mon, 14 Oct 2019 15:19:03 -0000
