=== debian/control ===
Source: ros-dashing-point-cloud-fusion
Section: misc
Priority: extra
Maintainer: Apex.AI <opensource@apex.ai>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-dashing-ament-cmake, ros-dashing-ament-cmake-gtest, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-autoware-auto-cmake, ros-dashing-lidar-utils, ros-dashing-message-filters, ros-dashing-rclcpp, ros-dashing-rclcpp-lifecycle, ros-dashing-sensor-msgs, ros-dashing-tf2-geometry-msgs, ros-dashing-tf2-ros, ros-dashing-tf2-sensor-msgs, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-point-cloud-fusion
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-dashing-lidar-utils, ros-dashing-message-filters, ros-dashing-rclcpp, ros-dashing-rclcpp-lifecycle, ros-dashing-sensor-msgs, ros-dashing-tf2-geometry-msgs, ros-dashing-tf2-ros, ros-dashing-tf2-sensor-msgs, ros-dashing-ros-workspace
Description: point cloud fusion
